import { formatImgUrl } from "@/common/fotmat";
import { Image, Text, View } from "@tarojs/components";
import { memo } from "react";
import styles  from './index.module.scss'

export default memo(() => {
    return (
        <View className={styles.advance_main}> 
            <View className={styles.time_con}>
                <View className={styles.times}>
                    <Text className={styles.text}>剩</Text>
                    <Text className={styles.num}>23</Text>
                    <Text className={styles.separate}>:</Text>
                    <Text className={styles.num}>58</Text>
                    <Text className={styles.separate}>:</Text>
                    <Text className={styles.num}>55</Text>
                </View>
                <Text>支付关闭，订单自动取消</Text>
            </View>
            <View className={styles.cardIcon}>
                <Image className={styles.image} src={formatImgUrl("/mall/my_cart.png", true)}/>
            </View>
        </View>
    )
})